Subject: Re: draft-josefsson-ipr-rules-update-00

From: [email-masked]
Date: Mon, 17 Oct 2005 16:10:12 +0000

Simon
 -------------- Original message ----------------------
From: Simon Josefsson <[email-masked]>
> Brian E Carpenter <[email-masked]> writes:
> 
> >>>Im my view we can't make this fundamental change without a
> >>>very clear IETF consensus.
> >>>(It would, formally, require an update to this WG's charter).
> >> I disagree with that view.  I believe the old license terms, in RFC
> >> 2026 section 10.4 (C), gave me the rights to RFC documents that I
> >> need.
> >
> >          ...this document itself may
> >          not be modified in any way, such as by removing the copyright
> >          notice or references to the Internet Society or other Internet
> >          organizations, except as needed for the  purpose of developing
> >          Internet standards...
> >
> > Where does that allow you to "to copy and distribute the Contribution,
> > with or without modification..."? I just don't see it.
> 
> The initial portion of the terms read:
> 
>          This document and translations of it may be copied and
>          furnished to others, and derivative works that comment on or
>                                   ----------------
>          otherwise explain it or assist in its implmentation may be
>          prepared, copied, published and distributed, in whole or in
>          part, without restriction of any kind, provided that the above
>                -------------------------------
>          copyright notice and this paragraph are included on all such
>          copies and derivative works.
> 
> My interpretation is that I can create derivative works and freely
> modify them.  I believe my derivative works would fall in the category
> "comment on".  Further, I cannot see what kind of derivative works
> would not fall into that category.

Any narrative or other use model document would be exactly this. In some instances a technical work with pseudocode in it might as well.

> 
> Retaining the copyright notice and the paragraph is not a problem.
> 
> >> Changing copying permissions of RFCs was done without updating the
> >> WG
> >> charter, by publishing RFC 3978.  Presumably that change was done
> >> unintentional.
> >
> > As above - I don't believe there is a change due to 3978. I believe
> > that you are proposing a change.
> 
> My goal is to at least get the same rights that I believe were granted
> by RFC 2026.  In that process, it may be useful to clarify the
> intention, so that there is no confusion over the interpretation.
> 
> Thanks,
> Simon
> 
> _______________________________________________
> Ipr-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipr-wg

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg